import { PluginRouteConfig, Plugin } from 'boot/plugins';
import { RouteConfig } from 'vue-router';
import routes from 'src/plugins/plugin-example/routes';

const plugin: Plugin = {
  router: routes,
  mainLink: { title: 'Plugin1', link: 'plugin1', icon: 'mdi-toy-brick' }
};

const mainLink = plugin.mainLink;

export { mainLink };

export default plugin;
